Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::MvDataElementByteIO Class Reference

Represents compressed sequence-parameter data used in an AccessUnit.

`#include <mvdataelement_byteio.h>`

Inheritance diagram for dirac::MvDataElementByteIO:
[legend]
Collaboration diagram for dirac::MvDataElementByteIO:
[legend]

List of all members.

## Public Member Functions

- MvDataElementByteIO ()
    Constructor.
- MvDataElementByteIO (ByteIO &byte_io)
    Constructor.
- virtual ~MvDataElementByteIO ()
    Destructor.
- void Output ()
    Gathers byte stats on the motion vector data.
- void Input ()
    Inputs motion vector information.
- virtual const std::string GetBytes ()
    Get string containing coded bytes.
- ByteIO * DataBlock ()
    Return pointer to the block data ByteIO stream.
- unsigned int DataBlockSize ()
    Return the input block data size.
- int GetSize () const
    Return the size.

## Protected Attributes

- ByteIO m_block_data
    block data
- unsigned int m_block_size
    In block data size.

## Constructor & Destructor Documentation

dirac::MvDataElementByteIO::MvDataElementByteIO | ( |  | ) |

dirac::MvDataElementByteIO::MvDataElementByteIO | ( | ByteIO & | byte_io | ) |

Parameters:

  | byte_io | Input/Output Byte stream

virtual dirac::MvDataElementByteIO::~MvDataElementByteIO | ( |  | ) | `[virtual]`

## Member Function Documentation

void dirac::MvDataElementByteIO::Output | ( |  | ) |

Parameters:

  | dirac_byte_stats | Stat container Outputs motion vector data Dirac byte-format

void dirac::MvDataElementByteIO::Input | ( |  | ) |

virtual const std::string dirac::MvDataElementByteIO::GetBytes | ( |  | ) | `[virtual]`

Reimplemented from dirac::ByteIO.

ByteIO* dirac::MvDataElementByteIO::DataBlock | ( |  | ) | `[inline]`

References m_block_data.

unsigned int dirac::MvDataElementByteIO::DataBlockSize | ( |  | ) | `[inline]`

References m_block_size.

int dirac::MvDataElementByteIO::GetSize | ( |  | ) | const`[virtual]`

Reimplemented from dirac::ByteIO.

## Member Data Documentation

ByteIO dirac::MvDataElementByteIO::m_block_data`[protected]`

Referenced by DataBlock().

unsigned int dirac::MvDataElementByteIO::m_block_size`[protected]`

Referenced by DataBlockSize().

The documentation for this class was generated from the following file:

- mvdataelement_byteio.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.